资源分享

如何安装yum/dnf搜不到的软件包

WordPress后台的站点健康扫描又说我缺东西没安装,比如说imagick

网上搜寻发现,该扩展包需要好几个-devel后缀的软件包做前置需求,最终通过 pecl install imagick命令自动make出来一份,还要改php.ini 吧啦吧啦的。

过程中有些包括 libedit-devel 在内的软件包,使用yum install 或 dnf install 都无法找到。

正好这时发现了一个搜索软件包的好站点

https://centos.pkgs.org/

不仅在该站搜到了所有需要的包,他们还提供了下载命令,直接复制粘贴。

(例:软件包详情页的一部分)

Install Howto
Install libedit-devel rpm package:
# dnf --enablerepo=PowerTools install libedit-devel

通过该命令快速完成了所有需求的安装,有需求不妨去该站搜搜。

追随着自己的感觉。

发表评论

电子邮件地址不会被公开。 必填项已用*标注